import Task from './Task';
import { ParsedArgs } from 'minimist';
export interface IStepOptions {
    name?: string;
    child?: Task;
    concurrent?: boolean;
    exec?: (state: IStepState) => void;
}
export interface IStepState {
    argv: ParsedArgs;
    options: {
        [key: string]: any;
    };
    get(name: string): any;
    set(name: string, value: any): void;
    info(message: string): void;
    fail(message?: string): void;
}
export declare enum StepStatus {
    Initial = "initial",
    Running = "running",
    Success = "success",
    Failure = "failure"
}
export declare class Step {
    child: Task;
    name: string;
    info: string;
    error: Error;
    errorObject: any;
    concurrent: boolean;
    errorMessage: string;
    exec: (state: IStepState) => void;
    status: StepStatus;
    constructor(options: IStepOptions);
    start(): void;
    success(): void;
    failure(err?: string | Error | object): void;
}
