"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("util");
var StepStatus;
(function (StepStatus) {
    StepStatus["Initial"] = "initial";
    StepStatus["Running"] = "running";
    StepStatus["Success"] = "success";
    StepStatus["Failure"] = "failure";
})(StepStatus = exports.StepStatus || (exports.StepStatus = {}));
class Step {
    constructor(options) {
        this.status = StepStatus.Initial;
        this.name = options.name;
        this.exec = options.exec;
        this.child = options.child;
        this.concurrent = options.concurrent;
    }
    start() {
        this.status = StepStatus.Running;
    }
    success() {
        this.status = StepStatus.Success;
    }
    failure(err) {
        this.status = StepStatus.Failure;
        if (typeof err == 'string') {
            this.errorMessage = err;
        }
        else if (util_1.types.isNativeError(err)) {
            this.error = err;
            this.errorMessage = err.message;
        }
        else if (typeof err === 'object') {
            this.errorObject = err;
        }
    }
}
exports.Step = Step;
//# sourceMappingURL=Step.js.map